"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const Zip_1 = __importDefault(require("./base/Zip"));
const { stat, open } = fs_1.promises;
class FileZip extends Zip_1.default {
    async preInit() {
        const fileInfo = await stat(this.path);
        this.size = fileInfo.size;
    }
    async partialGet(start, end) {
        const fd = await open(this.path, 'r');
        const length = Number(end) - Number(start);
        const data = await fd.read(Buffer.alloc(length), null, length, Number(start));
        await fd.close();
        return data.buffer;
    }
}
exports.default = FileZip;
//# sourceMappingURL=FileZip.js.map