/// <reference types="node" />
import Base from './Base';
import Flags from '../bitfields/Flags';
import ExtraFields from '../headers/ExtraField';
export default class Entry extends Base {
    /** Version needed to extract (minimum) */
    versionToExtract: number;
    /** General purpose bit flag */
    flags: Flags;
    /** Compression Method */
    compression: number;
    /** File last modification time */
    lastModTime: number;
    /** File last modification date */
    lastModDate: number;
    /** CRC-32 of uncompressed data */
    crc32: number;
    /** Compressed size */
    compressedSize: number;
    /** Uncompressed size */
    uncompressedSize: number;
    /** File name length */
    fileNameLength: number;
    /** Extra field length */
    extraFieldLength: number;
    /** File name */
    fileName: string;
    /** Raw Extra Field */
    extraFieldRaw: Buffer;
    /** Extra Field */
    extraField: ExtraFields;
    /** File last modification (library specific) */
    get lastMod(): Date;
}
//# sourceMappingURL=Entry.d.ts.map