/// <reference types="node" />
import Entry from '../base/Entry';
import InternalAttributes from '../bitfields/InternalAttributes';
export declare enum HostOS {
    MSDOS = 0,
    OS2 = 0,
    AMIGA = 1,
    VMS = 2,
    UNIX = 3,
    VM_CMS = 4,
    ATARI_ST = 5,
    OS2_EFS = 6,
    MACINTOSH = 7
}
export default class CentralDirectoryEntry extends Entry {
    /** Central directory file header signature */
    static signature: number;
    /** Version made by */
    version: number;
    /** File comment length */
    commentLength: number;
    /** Disk number where file starts */
    diskNo: number;
    /** Interal file attributes */
    internalAttributes: InternalAttributes;
    /** External file attributes */
    externalAttributes: number;
    /** Relative offset of local file header */
    offset: number;
    /** File comment */
    comment: string;
    constructor(buf: Buffer);
    get hostOS(): HostOS;
    get zipVersion(): number;
}
//# sourceMappingURL=CDEntry.d.ts.map