"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Base_1 = __importDefault(require("../base/Base"));
class EOCD extends Base_1.default {
    constructor(buf) {
        const eocd = EOCD.find(buf);
        if (!eocd)
            throw new Error('EOCD not found');
        super(eocd);
        this.diskNo = this.raw.readUInt16LE(4);
        this.cdStart = this.raw.readUInt16LE(6);
        this.cdEntries = this.raw.readUInt16LE(8);
        this.cdTotal = this.raw.readUInt16LE(10);
        this.cdSize = this.raw.readUInt32LE(12);
        this.cdOffset = this.raw.readUInt32LE(16);
        this.commentLength = this.raw.readUInt16LE(20);
        this.comment = this.raw.slice(22, 22 + this.commentLength).toString();
    }
    static find(buf) {
        // eslint-disable-next-line no-plusplus
        for (let i = buf.length - 22; i >= 0; i--) {
            if (buf.readUInt32LE(i) === EOCD.signature) {
                return buf.slice(i);
            }
        }
        return false;
    }
}
exports.default = EOCD;
/** EOCD signature */
EOCD.signature = 0x06054b50;
//# sourceMappingURL=EOCD.js.map