/// <reference types="node" />
import Base from '../base/Base';
export default class EOCD64 extends Base {
    /** Zip64 EOCD signature */
    static signature: number;
    /** Zip64 EOCD size */
    size: bigint;
    /** Version */
    version: number;
    /** Version needed to extract (minimum) */
    versionToExtract: number;
    /** Number of this disk */
    diskNo: number;
    /** Disk where central directory starts */
    cdStart: number;
    /** Total number of central directory records */
    cdTotal: bigint;
    /** Number of central directory records on this disk */
    cdEntries: bigint;
    /** Size of central directory (bytes) */
    cdSize: bigint;
    /** Offset of start of central directory, relative to start of archive */
    cdOffset: bigint;
    /** Zip64 extensible data sector */
    extensibleDataSector: Buffer;
    constructor(buf: Buffer);
    static find(buf: Buffer): false | Buffer;
}
//# sourceMappingURL=EOCD64.d.ts.map