"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Base_1 = __importDefault(require("../base/Base"));
class EOCD64Locator extends Base_1.default {
    constructor(buf) {
        const eocd = EOCD64Locator.find(buf);
        if (!eocd)
            throw new Error('Zip64 EOCD Locator not found');
        super(eocd);
        this.cdDiskNo = this.raw.readUInt32LE(4);
        this.offset = this.raw.readBigUInt64LE(8);
        this.diskTotal = this.raw.readUInt32LE(16);
    }
    static find(buf) {
        // eslint-disable-next-line no-plusplus
        for (let i = buf.length - 22; i >= 0; i--) {
            if (buf.readUInt32LE(i) === EOCD64Locator.signature) {
                return buf.slice(i);
            }
        }
        return false;
    }
}
exports.default = EOCD64Locator;
/** Zip64 EOCD Locator Signature */
EOCD64Locator.signature = 0x07064b50;
//# sourceMappingURL=EOCD64Locator.js.map