"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Entry_1 = __importDefault(require("../base/Entry"));
const Flags_1 = __importDefault(require("../bitfields/Flags"));
const ExtraField_1 = __importDefault(require("./ExtraField"));
class LocalFile extends Entry_1.default {
    constructor(buf) {
        super(buf);
        if (buf.readUInt32LE(0) !== LocalFile.signature) {
            throw new Error('Invalid Local File Header Signature');
        }
        this.versionToExtract = buf.readUInt16LE(4);
        this.flags = new Flags_1.default(buf.readUInt16LE(6));
        this.compression = buf.readUInt16LE(8);
        this.lastModTime = buf.readUInt16LE(10);
        this.lastModDate = buf.readUInt16LE(12);
        this.crc32 = buf.readUInt32LE(14);
        this.compressedSize = buf.readUInt32LE(18);
        this.uncompressedSize = buf.readUInt32LE(22);
        this.fileNameLength = buf.readUInt16LE(26);
        this.extraFieldLength = buf.readUInt16LE(28);
        this.fileName = buf.slice(30, 30 + this.fileNameLength).toString();
        const extraFieldOffset = 30 + this.fileNameLength;
        this.extraFieldRaw = buf.slice(extraFieldOffset, extraFieldOffset + this.extraFieldLength);
        this.extraField = new ExtraField_1.default(this.extraFieldRaw);
    }
}
exports.default = LocalFile;
/** Local file header signature */
LocalFile.signature = 0x04034b50;
//# sourceMappingURL=LocalFile.js.map